Del via


Dsr Compliance - Get Flow Run Actions For Dsr

Get flow run actions for DSR export.
Returns the action history for a specific flow run.

GET https://api.powerplatform.com/workflowsagent/aiFlows/{aiFlowId}/runs/{runId}/actions?api-version=2022-03-01-preview
GET https://api.powerplatform.com/workflowsagent/aiFlows/{aiFlowId}/runs/{runId}/actions?continuationToken={continuationToken}&api-version=2022-03-01-preview

URI Parameters

Name In Required Type Description
aiFlowId
path True

string

The workflow ID.

runId
path True

string

The run ID.

api-version
query True

string

The API version.

continuationToken
query

integer (int64)

Byte offset continuation token for paging.

Responses

Name Type Description
200 OK

DsrFlowRunsResponse

Successful request. Flow run action history returned.

Headers

Retry-After: string

401 Unauthorized

Unauthorized.

403 Forbidden

Forbidden.

404 Not Found

Not found. M365 Copilot workflows environment could not be resolved or feature is not enabled.

500 Internal Server Error

Internal server error.

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
DsrFlowRunData

Action event data for a single flow run.

DsrFlowRunsResponse

Response containing flow run action history for DSR export.

DsrFlowRunData

Action event data for a single flow run.

Name Type Description
actionEvents

ActionEvent[]

List of action events in the run.

runId

string

The run ID.

DsrFlowRunsResponse

Response containing flow run action history for DSR export.

Name Type Description
flowId

string

The workflow ID.

nextLink

string

URL to retrieve the next page of results, if available.

value

DsrFlowRunData[]

List of flow run data entries.